cURL
curl --request POST \
--url https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/virtual-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Grid-Environment: <x-grid-environment>' \
--data '
{
"grid_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/virtual-accounts"
payload = { "grid_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-Grid-Environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Grid-Environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({grid_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_id": "<string>",
"destination": {
"address": "<string>"
},
"id": "<string>",
"source_deposit_instructions": {
"bank_account_number": "<string>",
"bank_address": "<string>",
"bank_beneficiary_name": "<string>",
"bank_name": "<string>",
"bank_routing_number": "<string>",
"payment_rails": []
},
"developer_fee_percent": "0.02"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}Smart Accounts
Request Virtual Account
POST
/
smart-accounts
/
{smart_account_address}
/
virtual-accounts
cURL
Authorizations
API Key for authentication
Headers
The environment you’re using. Can be sandbox or production.
Path Parameters
The address of the smart account to request virtual account for
Body
application/json
Response
Successfully requested virtual account
Was this page helpful?
⌘I